/*TvP*/
proc freq data=demo.sales;
     tables product;
run;

/*TvQ*/
proc freq data=demo.sales;
     tables shop * dept;
run;

/*TvR*/
proc format;
  value format_a 0- 9999=' 1~' 10000-49999=' 1~` 5~'
        50000-99999=' 5~`10~' 100000-150000='10~ȏ';
proc freq data=demo.sales;
     format amount format_a.;
     tables amount;
run;

/*TvS*/
proc freq data=demo.sales;
     tables shop * dept/nopercent;
run;

/*TvT*/
proc means data=demo.sales;
     var amount;
run;

/*TvU*/
proc means data=demo.sales;
     by product;
     var amount;
run;

/*TvV*/
proc sort data=demo.sales;
     by product;
proc means data=demo.sales;
     by product;
     var amount;
run;

/*TvW*/
proc means data=demo.sales;
     class product;
     var amount;
run;

/*TvX*/
proc means data=demo.sales;
     class dept product;
     var amount;
run;

/*TvPO*/
proc means data=demo.sales n sum range skewness kurtosis;
     class product;
     var amount;
run;

/*TvPP*/
proc means data=demo.sales order=freq sum mean;
     class product;
     var amount;
run;

/*TvPQ*/
proc means data=demo.sales;
     format date jdatewk8.;
     class date;
     var amount;
run;

/*TvPR*/
proc means data=demo.sales;
     var amount;
     output out=out1;
run;

/*TvPS*/
proc means data=demo.sales;
     var amount;
     output out=out1 SUM=;
run;

/*TvPT*/
proc means data=demo.sales;
     var amount;
     output out=out1 sum=gokei mean=heikin;
run;

/*TvPU*/
proc means data=demo.sales;
     class product;
     var amount;
     output out=out1 sum=gokei mean=heikin;
run;

/*TvPV*/
proc means data=demo.sales nway;
     class  shop dept product;
     var amount;
     output out=out1 sum=gokei mean=heikin;
run;
